import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useDashboardStore = defineStore('dashboard', () => {
	const activeTab = ref<string>('flows')
	const showVarDialog = ref(false)
	const showTableDialog = ref(false)

	const setActiveTab = (tab: string) => {
		activeTab.value = tab
	}

	const openVarDialog = () => {
		showVarDialog.value = true
	}

	const closeVarDialog = () => {
		showVarDialog.value = false
	}

	const openTableDialog = () => {
		showTableDialog.value = true
	}

	const closeTableDialog = () => {
		showTableDialog.value = false
	}

	return {
		activeTab,
		setActiveTab,
		showVarDialog,
		openVarDialog,
		closeVarDialog,
		showTableDialog,
		openTableDialog,
		closeTableDialog
	}
})
